@import model._

@import model.forms.ChallongeBracketForm
@(form: Form[ChallongeBracketForm])(implicit req: MessagesRequest[AnyContent], user: User)

@implicitField = @{
    helper.FieldConstructor(views.html.templates._field_constructor.f)
}

<!DOCTYPE html>

<html lang="en">
    <head>
        @views.html.templates._common_headers("Edit Bracket")
    </head>
    <body>
        @views.html.templates._navbar()(req, Some(user))

        <div class="container">
            <h3>Edit Challonge Bracket</h3>
            <hr />
            @helper.form(action = routes.ChallongeController.submitChallongeBracketForm()) {
                <div class="row">
                    <div class="col-sm">
                    @helper.input(form("id")) { (id, name, value, args) =>
                        <label for="@id">ID</label>
                            @if(value.isDefined) {
                                <input type="text" id="@id" name="@name" value="@value" required="required" class="form-control" readonly="readonly">
                            } else {
                                <input type="text" id="@id" name="@name" value="" required="required" class="form-control">
                            }
                    }
                    </div>
                    <div class="col-sm">
                    @helper.input(form("theme")) { (id, name, value, args) =>
                        <label for="@id">Theme</label>
                        <input type="number" id="@id" name="@name" value="@value" class="form-control">
                    }
                    </div>
                    <div class="col-sm">
                    @helper.input(form("multiplier")) { (id, name, value, args) =>
                        <label for="@id">Multiplier</label>
                        <input type="number" id="@id" name="@name" value="@value" class="form-control" step="0.1" min="0.3" max="3.0" placeholder="1.0">
                    }
                    </div>
                </div>
                <div class="row">
                    <div class="col-sm">
                    @helper.input(form("matchWidthMultiplier")) { (id, name, value, args) =>
                        <label for="@id">Match Width Multiplier</label>
                        <input type="number" id="@id" name="@name" value="@value" class="form-control" step="0.1" min="0.5" max="2.0" placeholder="1.0">
                    }
                    </div>
                    <div class="col-sm">
                    @helper.input(form("scaleToFit")) { (id, name, value, args) =>
                        <label for="@id">Scale To Fit</label>
                        <select id="@id" name="@name" class="custom-select">
                            <option value="">Default</option>
                            @if(value.contains("true")) {
                                <option value="true" selected="selected">Yes</option>
                            } else {
                                <option value="true">Yes</option>
                            }
                            @if(value.contains("false")) {
                                <option value="false" selected="selected">No</option>
                            } else {
                                <option value="false">No</option>
                            }
                        </select>
                    }
                    </div>
                    <div class="col-sm">
                    @helper.input(form("showFinalResults")) { (id, name, value, args) =>
                        <label for="@id">Show Final Results</label>
                        <select id="@id" name="@name" class="custom-select">
                            <option value="">Default</option>
                            @if(value.contains("true")) {
                                <option value="true" selected="selected">Yes</option>
                            } else {
                                <option value="true">Yes</option>
                            }
                            @if(value.contains("false")) {
                                <option value="false" selected="selected">No</option>
                            } else {
                                <option value="false">No</option>
                            }
                        </select>
                    }
                    </div>
                </div>
                <div class="row">
                    <div class="col-sm">
                    @helper.input(form("showStandings")) { (id, name, value, args) =>
                        <label for="@id">Show Standings</label>
                        <select id="@id" name="@name" class="custom-select">
                            <option value="">Default</option>
                            @if(value.contains("true")) {
                                <option value="true" selected="selected">Yes</option>
                            } else {
                                <option value="true">Yes</option>
                            }
                            @if(value.contains("false")) {
                                <option value="false" selected="selected">No</option>
                            } else {
                                <option value="false">No</option>
                            }
                        </select>
                    }
                    </div>
                    <div class="col-sm">
                    @helper.input(form("showVoting")) { (id, name, value, args) =>
                        <label for="@id">Show Voting</label>
                        <select id="@id" name="@name" class="custom-select">
                            <option value="">Default</option>
                            @if(value.contains("true")) {
                                <option value="true" selected="selected">Yes</option>
                            } else {
                                <option value="true">Yes</option>
                            }
                            @if(value.contains("false")) {
                                <option value="false" selected="selected">No</option>
                            } else {
                                <option value="false">No</option>
                            }
                        </select>
                    }
                    </div>
                    <div class="col-sm">
                    @helper.input(form("tab")) { (id, name, value, args) =>
                        <label for="@id">Tab</label>
                        <select id="@id" name="@name" class="custom-select">
                            <option value="">Default</option>
                            @if(value.contains("groups")) {
                                <option value="groups" selected="selected">Groups</option>
                            } else {
                                <option value="groups">Groups</option>
                            }
                            @if(value.contains("final")) {
                                <option value="final" selected="selected">Final</option>
                            } else {
                                <option value="final">Final</option>
                            }
                            @if(value.contains("standings")) {
                                <option value="standings" selected="selected">Standings</option>
                            } else {
                                <option value="standings">Standings</option>
                            }
                        </select>
                    }
                    </div>
                </div>
                <button class="btn btn-success mt-2" type="submit">Submit</button>
            }
            @if(form("id").value.isDefined) {
                <form action="@routes.ChallongeController.deleteChallongeBracket()" method="post">
                    <input type="text" hidden="hidden" name="id" value="@form("id").value.get" />
                    <button class="btn btn-danger mt-2" type="submit">Delete</button>
                </form>
            }
        </div>
    </body>
</html>